Suitcase Fusion 5 System Requirements - Extensis.com

Suitcase Fusion 5
System Requirements

Suitcase Fusion 5 has been discontinued

Information about Suitcase Fusion 5 is for reference purposes only and does not imply the availability of ongoing support.

Community support is available through the Extensis Forums.

Macintosh

Final version: 16.2.6

  • Mac® OS X® 10.6.8 through 10.9
  • 1.6 GHz or faster processor
  • 300 MB available hard drive space, plus additional space for fonts
  • 1 GB additional hard drive space for online font services

    (Requirements will vary for each service; additional fonts are added automatically)

  • An Internet connection and Safari® 5, Firefox® 7, or Chrome™ 14 or later to view Help

Windows

Final version: 16.2.7

  • Windows® XP SP3 (32-bit only), Windows 7 (32- or 64-bit), Windows 8 (32- or 64-bit), or Windows 8.1 (32- or 64-bit)

    Suitcase Fusion 5 runs in 32-bit mode on 64-bit Windows systems; auto-activation plug-ins run in either 32-bit or 64-bit mode.

  • 1.6 GHz or faster processor
  • 300 MB available hard drive space, plus additional space for fonts
  • 1 GB additional hard drive space for online font services

    (Requirements will vary for each service; additional fonts are added automatically)

  • Microsoft® .NET Framework version 4.0
  • An Internet connection and Internet Explorer® 8, Firefox® 7, or Chrome™ 14 or later to view Help

    You need to have Internet Explorer installed in order for Suitcase Fusion 5’s QuickComp, Web View, and auto-updater functionality to work properly. It does not need to be your default browser.

Supported Applications

Suitcase Fusion 5 includes auto-activation plug-in support for the following applications:

  • Adobe® Illustrator® Creative Suite® 3, CS4, CS5, CS5.1, CS6, Creative Cloud®, and CC 2014
  • Adobe InCopy® CS4, CS5, CS5.5, CS6, Creative Cloud, and CC 2014
  • Adobe InDesign® CS3, CS4, CS5, CS5.5, CS6, Creative Cloud, and CC 2014
  • Adobe Photoshop® CS4, CS5, CS5.1, CS6, Creative Cloud, and CC 2014
  • QuarkXPress™ 7, 8, 9, and 10

In addition to plug-in support, Suitcase Fusion 5 includes the Extensis Font Panel for the following applications:

  • Adobe Illustrator CS5, CS5.1, CS6, Creative Cloud, and CC 2014
  • Adobe InDesign CS5, CS5.5, CS6, Creative Cloud, and CC 2014
  • Adobe Photoshop CS5, CS5.1, CS6, Creative Cloud, and CC 2014.

Adobe Flash® Player is required for the Font Panel in CS6.

Further Information

For details about which design applications are supported on which operating systems, see the Suitcase Fusion Support Guide.